function X = apply_constraints_p2_V1(X)

Y0 = X(1);f = X(2);
Y1 = X(3);Y2 = X(4);Y3 = X(5);Y4 = X(6);Y5 = X(7);Y6 = X(8);
Z1 = X(9);Z2 = X(10);Z3 = X(11);Z4 = X(12);Z5 = X(13);Z6 = X(14);

Pxx = Y1^2;
Pyy = Y2^2+Y4^2;
Pzz = Y3^2+Y5^2+Y6^2;
Pxy = Y1*Y4;
Pyz = Y2*Y5+Y4*Y6;
Pxz = Y1*Y6;
Dxx = Z1^2;
Dyy = Z2^2+Z4^2;
Dzz = Z3^2+Z5^2+Z6^2;
Dxy = Z1*Z4;
Dyz = Z2*Z5+Z4*Z6;
Dxz = Z1*Z6;

Pmat = [Pxx Pxy Pxz;Pxy Pyy Pyz;Pxz Pyz Pzz];
Dmat = [Dxx Dxy Dxz;Dxy Dyy Dyz;Dxz Dyz Dzz];

if ~any(isnan(Pmat(:)))== 1 && ~any(isnan(Dmat(:))) == 1
    
    meanp = mean(eig(Pmat));
    meand = mean(eig(Dmat));
    
    if meanp<meand
        temp = X(3:8);
        X(3:8) = X(9:14);
        X(9:14) = temp;
    end
    
end
end


% f = X(2);
% % f(f < 0.5)= 0.5;
% % f(f > 0.6) = 0.6;
% f(f < -7.6)= -7.6;
% f(f > 7.6) = 7.6;
% X(2) = f;
% %
% P = exp(X(3));
% %P(P>0.009) = 0.009;
% P(P<0.00001) = 0.00001;
% X(3) = log(P);
%
% Z1 = X(4);
% Z1(Z1>-4) = -4;
% X(4) = Z1;
%
% Z2 = X(5);
% Z2(Z2>-4) = -4;
% X(5) = Z2;
%
% Z3 = X(6);
% Z3(Z3>-4) = -4;
% X(6) = Z3;
%
%  Z4 = X(9);
%  Z4(Z4<1e-5) = 1e-5;
%  X(9) = Z4;
% %
%  Z5 = X(10);
%  Z5(Z5<1e-5) = 1e-5;
%  X(10) = Z5;
% %
%  Z6 = X(11);
%  Z6(Z6<1e-5) = 1e-5;
%  X(11) = Z6;